Subject: bug#22000: 25.0.50; Running dired changes frame width, gtk_distribute_natural_allocation throws assertion

From: martin rudalics <[email-masked]>
Date: Thu, 26 Nov 2015 09:22:38 +0100

>> Here with xfce ‘set-frame-width’ and ‘default-frame-alist’ both crop the
 >> menubar.
 >
 > That's weird. I just tested with 'icewm' and saw the same behavior as in
 > 'i3' (flickering during resize and (set-frame-width nil 10) not
 > working). Maybe it also depends on the exact GTK3 version?

Mine is 3.4.2.

 > I think the final width is set when container containing the menu widget
 > is actually displayed. The code is pretty opaque to me - I guess we
 > can't just use a plain gtk menu_bar because we need to add/remove menu
 > items at runtime? Because any other GTK3 app I've tried did not have any
 > problem with cropping the menu bar during resize.

At least that's the only reason I can think of why this problem seems to
predominantly hit Emacs.

martin